import Vue from 'vue';
import Vuex from 'vuex';
import site from './site';
import market from './market';
import login from '@common/store/login';
import * as ustate from '@common/store/user/state';
import * as umutations from '@common/store/user/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: { market, site, login },
});
